# pandas.DataFrame.tshift

`DataFrame.``tshift`(periods=1, freq=None, axis=0)

  Shift the time index, using the index’s frequency if available

  Parameters:

  periods : int

  > Number of periods to move, can be positive or negative

  freq : DateOffset, timedelta, or time rule string, default None

  > Increment to use from datetools module or time rule (e.g. ‘EOM’)

  axis : int or basestring

  > Corresponds to the axis that contains the Index

  Returns: | shifted : NDFrame

  Notes

  If freq is not specified then tries to use the freq or inferred_freq attributes of the index. If neither of those attributes exist, a ValueError is thrown